
# 测试

## 调试说明
### pyTool.py 调试工具说明
> pyTool.py 需要在source_code目录下运行。
#### 1. 使用该脚本获取高速数据
```shell
# 示例
# 读取通道1上的传感器高速数据
sudo python3 pyTool.py high 1
```
![](./attachment/read_high_data.png)

> 结果判断：如果有高速数据，就会打印出来，如图所示。

#### 2. 使用该脚本获取传感器版本
```shell
# 示例
# 读取通道1上的传感器版本
sudo python3 pyTool.py version 1
```

![](./attachment/read_version.png)

> 结果判断：如果有传感器版本打印出来，说明该通道的RS485是通的。



### 中断信号读取
> 用于排查过零信号

```bash
sudo python3 6_isr.py
# 结果判断：如果有打印信息，表示中断信号被触发。
```


# 部署
[6系网关部署和测试教程](https://witexpert.yuque.com/ckn81t/ctfgds/ardadevhsht7?singleDoc#)